/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _IMPORTEXPORTDLG_H_
#define _IMPORTEXPORTDLG_H_

#include<libglademm.h>
#include<gtkmm.h>

class PCalMainWindow;

class IEDialog : public Gtk::Window
{
    public:
		IEDialog(BaseObjectType* cobject, 
                    const Glib::RefPtr<Gnome::Glade::Xml>& refGlade);
		virtual ~IEDialog();
	
		/// This function should be used to show the preferences
        /// dialog. The parameter is the reference to the main window.
        virtual void present(PCalMainWindow *main_window);
	
	protected:
        Glib::RefPtr<Gnome::Glade::Xml> m_refGlade;
	private:      
        // the reference to the main window
        PCalMainWindow * pMainWindow;
    
        // signal handlers
        void on_next_click();
        void on_back_click();
        void on_cancel_click();
        void on_browse_click();
    
        // component references
        Gtk::Notebook* wizardNotebook;
        Gtk::RadioButton* importRadioButton;
        Gtk::RadioButton* exportRadioButton;
        Gtk::Button* nextButton;
        Gtk::Label* nextButtonLabel;
        Gtk::Image* nextImage;
        Gtk::Button* backButton;
        Gtk::Button* importBrowseButton;
        Gtk::Button* exportBrowseButton;
        Gtk::Entry* importFileNameEntry;
        Gtk::Entry* exportFileNameEntry;        
        
        // File Chooser dialogs
        Gtk::FileChooserDialog* importFileChooser;
        Gtk::HButtonBox* importFileChooserButtonBox;
        Gtk::Button* importFileChooserOKButton;
        Gtk::FileChooserDialog* exportFileChooser;
        Gtk::HButtonBox* exportFileChooserButtonBox;
        Gtk::Button* exportFileChooserOKButton;
};

#endif	//_IMPORTEXPORTDLG_H_
